.page-wrapper {
    background: var(--bg-main);
}

.bazawiedzy-cta {
    display: grid;
    padding: 30px var(--side-spacing);
    max-width: calc(100% - var(--side-spacing) * 2);
    text-align: center;
}

@media all and (min-width: 992px) {
    .bazawiedzy-cta {
        text-align: unset;
    }
}

.bazawiedzy-cta .wp-post-image {
    grid-row-start: 1;
    justify-self: center;
    width: 400px!important;
    max-width: 100%!important;
}

.bazawiedzy-cta .wp-block-buttons {
    justify-content: center;
}

.bazawiedzy-cta .wp-block-button__link {
    text-decoration: none;
    transition: color .3s ease;
    color: var(--color-link)!important;
    font-weight: var(--font-weight--bold);
    font-size: var(--font-size-text--small);
    line-height: var(--font-lineheight-text--small);
    padding: 0;
    background: none;
    border: none;
    position: relative;
}

.bazawiedzy-cta .wp-block-button__link::before {
    content: "";
    display: block;
    position: absolute;
    bottom: -9px;
    left: 0;
    height: 0px;
    width: 100%;
    border-top: 2px solid;
    transform: scale3d(0.45, 1, 1);
    transition: transform .3s ease;
    transform-origin: center;
    pointer-events: none;
}

@media all and (min-width: 992px) {
    .bazawiedzy-cta .wp-block-buttons {
        justify-content: unset;
    }

    .bazawiedzy-cta .wp-block-button__link::before {
        width: calc(100% + 34px);
        transform-origin: left;
    }
}

.bazawiedzy-cta .wp-block-button__link:hover::before {
    transform: scale3d(1, 1, 1);
}

@media all and (min-width: 992px) {
    .bazawiedzy-cta {
        grid-template-columns: repeat(2, minmax(1px, 1fr));
        grid-template-rows: 270px auto;
        padding: 50px var(--side-spacing) 100px var(--side-spacing);
        gap: 30px;
    }

    .bazawiedzy-cta .wp-post-image {
        grid-column-start: 2;
        grid-row-end: span 2;
        object-fit: contain;
        width: unset!important;
    }

    .bazawiedzy-cta .page-title {
        align-self: end;
        margin: 0;
    }

    .bazawiedzy-cta .page-content {
        width: 515px;
        max-width: 100%;
    }

    .bazawiedzy-cta .page-content .content-wrapper {
        width: 475px;
        max-width: 100%;
        margin-left: auto;
    }

    .bazawiedzy-cta .page-content,
    .bazawiedzy-cta .wp-block-buttons {
        margin-top: 30px;
    }

    .bazawiedzy-cta .page-content p{
        margin: 0;
    }

}

@media all and (min-width: 1300px) {
    .bazawiedzy-cta .page-content,
    .bazawiedzy-cta .wp-block-buttons {
        margin-top: 50px;
    }
}

.bazawiedzy-tags {
    padding-left: var(--side-spacing);
    padding-right: var(--side-spacing);
    max-width: calc(100% - var(--side-spacing) * 2);
}

.items-bazawiedzy {
    display: grid;
    gap: 16px 35px;
}


.loadmore-form {
    padding: 10px;
    margin-top: 40px;
    border-top: 2px solid var(--color-link);
}

.loadmore-form svg{
    opacity: 0;
    transition: opacity .3s ease, width .3s ease, height .3s ease;
    transition-delay: .3s;
    pointer-events: none;
    width: 0px;
    height: 0px;
    margin: 0 auto;
    transform: translateZ(0);
    fill: var(--color-link);
}

.form-loading svg {
    opacity: 1;
    width: 24px;
    height: 8px;
}

@media all and (min-width: 992px) {
    .form-loading svg {
        width: 48px;
        height: 16px;
    }
}

.archive-load-more {
    text-align: center;
    cursor: pointer;
    padding: 5px;
    transition-property: color, opacity;
}

.form-loading .archive-load-more {
    opacity: 0.5;
    pointer-events: none;
}

.bazawiedzy-latest-posts {
	margin-top: 55px;
	margin-bottom: 55px;
}

.bazawiedzy-popular-posts .items-bazawiedzy {
    margin-top: 30px;
}

@media all and (min-width: 992px) {
    .items-bazawiedzy {
        grid-template-columns: repeat(2, minmax(200px, 1fr));
        margin-top: 55px;
    }

    .bazawiedzy-popular-posts .items-bazawiedzy {
        margin-top: 70px;
    }

    .item-bazawiedzy .item_title {
        margin-top: 40px;
    }
    
    .bazawiedzy-latest-posts {
        margin-bottom: 155px;
    }
    
    .bazawiedzy-latest-posts .item:first-of-type {
        grid-column-end: span 2;
        display: grid;
        grid-template-columns: repeat(2, minmax(1px, 1fr));
        gap: 16px 35px;
        padding-bottom: 30px;
        width: 100%;
    }

    .bazawiedzy-latest-posts .item:first-of-type .item_content {
        width: 630px;
        max-width: 100%;
        justify-self: end;
    }

    .bazawiedzy-latest-posts .item:first-of-type .item_button {
        margin-top: 25px;
        margin-bottom: 25px;
    }

    .bazawiedzy-latest-posts .item:first-of-type .item_tags {
        margin-top: auto;
        margin-bottom: 5px;
    }

    .bazawiedzy-popular-posts {
        padding-bottom: 40px;
    }
}


.page-section {
    margin-left: auto;
    margin-right: auto;
}

.bazawiedzy-latest-posts,
.bazawiedzy-popular-posts {
    padding-left: var(--side-spacing);
    padding-right: var(--side-spacing);
    max-width: calc(100% - var(--side-spacing) * 2);
}

.bazawiedzy-popular-posts .page-section_title {
    text-align: center;
    color: var(--color-link);
    margin-top: 30px;
    margin-bottom: 50px;
}

@media all and (min-width: 992px) {
    .bazawiedzy-popular-posts .page-section_title {
        text-align: left;
        --custom-left-spacing: clamp(45px, calc(100vw - var(--scrollbar-width) - 1197px - 2 * var(--side-spacing)), 164px);
        width: calc(1364px - var(--custom-left-spacing));
        max-width: calc(100% - var(--custom-left-spacing));
        margin-left: var(--custom-left-spacing);
        position: relative;
    }

    .bazawiedzy-popular-posts .page-section_title::before,
    .bazawiedzy-popular-posts .page-section_title::after {
        content: "";
        position: absolute;
        display: block;
        top: 50%;
        transform: translateY(-50%);
        background: var(--color-link);
    }

    .bazawiedzy-popular-posts .page-section_title::before {
        width: 2px;
        height: 48px;
        left: -37px;
    }

    .bazawiedzy-popular-posts .page-section_title::after {
        width: 2px;
        height: 48px;
        width: 11px;
        height: 11px;
        border: 2px solid var(--color-ongradient);
        border-radius: 20px;
        left: -43px;
    }
}


.bazawiedzy-newsletter .newsletter-wrapper {
    opacity: 1!important;
}

